Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037857
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-02-08 09:112018-02-22 18:19
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision81994596bc51
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037857: Wrong FIC Request after selecting all records in a grid with hundreds of lines

DescriptionWrong FIC Requests are being generated after selecting all records in a grid that has lots of lines. The Request-URI exceeds the supported length (see attached image).
Steps To Reproduce1) As F&B group admin, go to the [Sales Order] window.
2) Remove the implicit filter by clicking on the funnel icon.
3) In the header, scroll down until all records are retrieved.
4) Using the "select all" checkbox, select all the records.
TagsNo tags attached.
Attached Filespng file icon request-uri-too-long.png [^] (387,911 bytes) 2018-02-08 09:11

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029746 closedcaristu unneded FIC request on record selection in some windows 
related to defect 00275333.0PR14Q4 closedalostale context information is sent as a query string parameter when calculating defaults in process definition windows 
related to defect 00205223.0MP12 closedguilleaer Attachment icon does not work fine in grid view 

-  Notes
(0102277)
hgbot (developer)
2018-02-08 18:12

Repository: erp/devel/pi
Changeset: 81994596bc5163f08b8841209eb6a8cdbd6f9bf0
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Feb 08 18:10:27 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/81994596bc5163f08b8841209eb6a8cdbd6f9bf0 [^]

fixes bug 37857: Wrong FIC request after selecting hundreds of records

  The MULTIPLE_ROW_IDS parameter contains the ids of the selected records that are sent to the FIC. They are used to check if there exists attachments within the selection and in that case enable the attachment button of the toolbar or display the number of attachments of the current record in case we are in form view.

  This information was being sent as part of the request URL in the HTTP header which in case of having hundreds of records, the maximum size allowed for the request URL was being exceeded.

  To fix this problem, now the MULTIPLE_ROW_IDS parameter is sent within the body of the FIC request.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0102289)
hgbot (developer)
2018-02-09 09:16

Repository: erp/devel/pi
Changeset: 7a23607a0b6cce98d0c68bea9a301fdf99e542d7
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Feb 09 09:15:50 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7a23607a0b6cce98d0c68bea9a301fdf99e542d7 [^]

related to bug 37857: minor optimizations

  * FIC uses multiple ids only for attachemnts, we can initialize it only in that case
  * In convertJSONArray use more generic variable name
  * In convertJSONArray we know which will be the array size, so it can be initialized
    using it

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
---
(0102290)
alostale (developer)
2018-02-09 09:17

tested

reviewed and applied some minor improvements
(0102736)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102737)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-08 09:11 caristu New Issue
2018-02-08 09:11 caristu Assigned To => platform
2018-02-08 09:11 caristu File Added: request-uri-too-long.png
2018-02-08 09:11 caristu Modules => Core
2018-02-08 09:11 caristu Triggers an Emergency Pack => No
2018-02-08 09:11 caristu Priority normal => high
2018-02-08 09:26 caristu Relationship added related to 0029746
2018-02-08 10:05 caristu Relationship added related to 0027533
2018-02-08 10:41 caristu Assigned To platform => caristu
2018-02-08 10:41 caristu Status new => scheduled
2018-02-08 10:59 caristu Relationship added related to 0020522
2018-02-08 18:12 hgbot Checkin
2018-02-08 18:12 hgbot Note Added: 0102277
2018-02-08 18:12 hgbot Status scheduled => resolved
2018-02-08 18:12 hgbot Resolution open => fixed
2018-02-08 18:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/81994596bc5163f08b8841209eb6a8cdbd6f9bf0 [^]
2018-02-08 18:47 caristu Review Assigned To => alostale
2018-02-09 09:16 hgbot Checkin
2018-02-09 09:16 hgbot Note Added: 0102289
2018-02-09 09:17 alostale Note Added: 0102290
2018-02-09 09:17 alostale Status resolved => closed
2018-02-09 09:17 alostale Fixed in Version => 3.0PR18Q2
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102736
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102737


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker